Index: branches/1772_HeuristicLab.EvolutionTracking/HeuristicLab.EvolutionTracking/3.4/Operators/AfterCrossoverOperator.cs
===================================================================
--- branches/1772_HeuristicLab.EvolutionTracking/HeuristicLab.EvolutionTracking/3.4/Operators/AfterCrossoverOperator.cs	(revision 16132)
+++ branches/1772_HeuristicLab.EvolutionTracking/HeuristicLab.EvolutionTracking/3.4/Operators/AfterCrossoverOperator.cs	(revision 17434)
@@ -20,4 +20,5 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -26,6 +27,6 @@
 
 namespace HeuristicLab.EvolutionTracking {
-  [StorableClass]
   [Item("AfterCrossoverOperator", "A generic operator that can record genealogical relationships between crossover parents and children.")]
+  [StorableType("E43B0F0A-998D-4CD1-A030-B2A927086433")]
   public class AfterCrossoverOperator<T> : EvolutionTrackingOperator<T>, ICrossoverOperator<T> where T : class, IItem {
     private const string ParentsParameterName = "Parents";
@@ -46,5 +47,5 @@
     }
     [StorableConstructor]
-    protected AfterCrossoverOperator(bool deserializing) : base(deserializing) { }
+    protected AfterCrossoverOperator(StorableConstructorFlag _) : base(_) { }
 
     public AfterCrossoverOperator() {
Index: branches/1772_HeuristicLab.EvolutionTracking/HeuristicLab.EvolutionTracking/3.4/Operators/AfterManipulatorOperator.cs
===================================================================
--- branches/1772_HeuristicLab.EvolutionTracking/HeuristicLab.EvolutionTracking/3.4/Operators/AfterManipulatorOperator.cs	(revision 16132)
+++ branches/1772_HeuristicLab.EvolutionTracking/HeuristicLab.EvolutionTracking/3.4/Operators/AfterManipulatorOperator.cs	(revision 17434)
@@ -20,4 +20,5 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -26,6 +27,6 @@
 
 namespace HeuristicLab.EvolutionTracking {
-  [StorableClass]
   [Item("AfterCrossoverOperator", "Performs an action after the crossover operator is applied.")]
+  [StorableType("DF888AB7-709A-41BD-A201-F026CE4DB8F4")]
   public class AfterManipulatorOperator<T> : EvolutionTrackingOperator<T>, IManipulatorOperator<T> where T : class,IItem {
     private const string ChildParameterName = "Child";
@@ -42,5 +43,5 @@
     }
     [StorableConstructor]
-    protected AfterManipulatorOperator(bool deserializing) : base(deserializing) { }
+    protected AfterManipulatorOperator(StorableConstructorFlag _) : base(_) { }
 
     public AfterManipulatorOperator() {
Index: branches/1772_HeuristicLab.EvolutionTracking/HeuristicLab.EvolutionTracking/3.4/Operators/AfterSolutionCreatorOperator.cs
===================================================================
--- branches/1772_HeuristicLab.EvolutionTracking/HeuristicLab.EvolutionTracking/3.4/Operators/AfterSolutionCreatorOperator.cs	(revision 16132)
+++ branches/1772_HeuristicLab.EvolutionTracking/HeuristicLab.EvolutionTracking/3.4/Operators/AfterSolutionCreatorOperator.cs	(revision 17434)
@@ -20,4 +20,5 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
@@ -25,6 +26,6 @@
 
 namespace HeuristicLab.EvolutionTracking.Operators {
-  [StorableClass]
   [Item("AfterSolutionCreatorOperator", "An operator that runs after the solution creator and performs additional actions.")]
+  [StorableType("A5B1528D-336B-48CF-8F74-8F2322F8A136")]
   public class AfterSolutionCreatorOperator<T> : EvolutionTrackingOperator<T>
     where T : class,IItem {
Index: branches/1772_HeuristicLab.EvolutionTracking/HeuristicLab.EvolutionTracking/3.4/Operators/BeforeCrossoverOperator.cs
===================================================================
--- branches/1772_HeuristicLab.EvolutionTracking/HeuristicLab.EvolutionTracking/3.4/Operators/BeforeCrossoverOperator.cs	(revision 16132)
+++ branches/1772_HeuristicLab.EvolutionTracking/HeuristicLab.EvolutionTracking/3.4/Operators/BeforeCrossoverOperator.cs	(revision 17434)
@@ -22,4 +22,5 @@
 using System;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -29,6 +30,6 @@
 
 namespace HeuristicLab.EvolutionTracking {
-  [StorableClass]
   [Item("BeforeCrossoverOperator", "A generic operator that can record genealogical relationships between crossover parents and children.")]
+  [StorableType("A44A9100-AD1D-459C-A45A-CE7C1B894E71")]
   public class BeforeCrossoverOperator<T> : EvolutionTrackingOperator<T>, ICrossoverOperator<T> where T : class,IItem {
     private const string ParentsParameterName = "Parents";
@@ -55,5 +56,5 @@
 
     [StorableConstructor]
-    protected BeforeCrossoverOperator(bool deserializing) : base(deserializing) { }
+    protected BeforeCrossoverOperator(StorableConstructorFlag _) : base(_) { }
 
     public BeforeCrossoverOperator() {
Index: branches/1772_HeuristicLab.EvolutionTracking/HeuristicLab.EvolutionTracking/3.4/Operators/BeforeManipulatorOperator.cs
===================================================================
--- branches/1772_HeuristicLab.EvolutionTracking/HeuristicLab.EvolutionTracking/3.4/Operators/BeforeManipulatorOperator.cs	(revision 16132)
+++ branches/1772_HeuristicLab.EvolutionTracking/HeuristicLab.EvolutionTracking/3.4/Operators/BeforeManipulatorOperator.cs	(revision 17434)
@@ -21,4 +21,5 @@
 
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -27,6 +28,6 @@
 
 namespace HeuristicLab.EvolutionTracking {
-  [StorableClass]
   [Item("AfterCrossoverOperator", "Performs an action after the crossover operator is applied.")]
+  [StorableType("78C5698A-39B8-4158-83F6-7E6CFAF5BD2A")]
   public class BeforeManipulatorOperator<T> : EvolutionTrackingOperator<T>, IManipulatorOperator<T> where T : class, IItem {
     private const string ChildParameterName = "Child";
@@ -45,5 +46,5 @@
 
     [StorableConstructor]
-    protected BeforeManipulatorOperator(bool deserializing) : base(deserializing) { }
+    protected BeforeManipulatorOperator(StorableConstructorFlag _) : base(_) { }
 
     public BeforeManipulatorOperator() {
Index: branches/1772_HeuristicLab.EvolutionTracking/HeuristicLab.EvolutionTracking/3.4/Operators/EvolutionTrackingOperator.cs
===================================================================
--- branches/1772_HeuristicLab.EvolutionTracking/HeuristicLab.EvolutionTracking/3.4/Operators/EvolutionTrackingOperator.cs	(revision 16132)
+++ branches/1772_HeuristicLab.EvolutionTracking/HeuristicLab.EvolutionTracking/3.4/Operators/EvolutionTrackingOperator.cs	(revision 17434)
@@ -20,4 +20,5 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -30,5 +31,5 @@
 namespace HeuristicLab.EvolutionTracking {
   [Item("EvolutionTrackingOperator", "A base operator which facilitates access to the genealogy graph.")]
-  [StorableClass]
+  [StorableType("27D4603D-0EDC-4C77-9AB9-ED10CA6D4613")]
   public class EvolutionTrackingOperator<T> : SingleSuccessorOperator where T : class, IItem {
     // evolution tracking-related parameters
@@ -73,5 +74,5 @@
     }
     [StorableConstructor]
-    protected EvolutionTrackingOperator(bool deserializing) : base(deserializing) { }
+    protected EvolutionTrackingOperator(StorableConstructorFlag _) : base(_) { }
   }
 }
Index: branches/1772_HeuristicLab.EvolutionTracking/HeuristicLab.EvolutionTracking/3.4/Operators/RemovePopulationGraphFromResults.cs
===================================================================
--- branches/1772_HeuristicLab.EvolutionTracking/HeuristicLab.EvolutionTracking/3.4/Operators/RemovePopulationGraphFromResults.cs	(revision 16132)
+++ branches/1772_HeuristicLab.EvolutionTracking/HeuristicLab.EvolutionTracking/3.4/Operators/RemovePopulationGraphFromResults.cs	(revision 17434)
@@ -1,3 +1,4 @@
-﻿using HeuristicLab.Common;
+﻿using HEAL.Attic;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Operators;
@@ -12,6 +13,6 @@
 
 namespace HeuristicLab.EvolutionTracking.Operators {
-  [StorableClass]
   [Item("RemovePopulationGraphFromResultsOperator", "In some cases the genealogy graph is necessary during the run but to save memory it should be removed from the results at the end of the run.")]
+  [StorableType("5F5FEAAD-DA7C-4C8C-A9B3-B4DE30B64C51")]
   public class RemovePopulationGraphFromResultsOperator : SingleSuccessorOperator {
 
@@ -23,5 +24,5 @@
 
     [StorableConstructor]
-    protected RemovePopulationGraphFromResultsOperator(bool deserializing) : base(deserializing) { }
+    protected RemovePopulationGraphFromResultsOperator(StorableConstructorFlag _) : base(_) { }
 
     [StorableHook(HookType.AfterDeserialization)]
